package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.WorkCenterMemberPO;
import mhp.oee.po.gen.WorkCenterMemberPOExample;

public interface WorkCenterMemberPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_center_member
     *
     * @mbggenerated
     */
    int countByExample(WorkCenterMemberPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_center_member
     *
     * @mbggenerated
     */
    int deleteByExample(WorkCenterMemberPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_center_member
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_center_member
     *
     * @mbggenerated
     */
    int insert(WorkCenterMemberPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_center_member
     *
     * @mbggenerated
     */
    int insertSelective(WorkCenterMemberPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_center_member
     *
     * @mbggenerated
     */
    List<WorkCenterMemberPO> selectByExample(WorkCenterMemberPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_center_member
     *
     * @mbggenerated
     */
    WorkCenterMemberPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_center_member
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") WorkCenterMemberPO record, @Param("example") WorkCenterMemberPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_center_member
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") WorkCenterMemberPO record, @Param("example") WorkCenterMemberPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_center_member
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(WorkCenterMemberPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table work_center_member
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(WorkCenterMemberPO record);
}